Bug 827112 - ovirt-engine-backend [Multiple Domains]: after selecting domains for import vm with multiple disks if we put domain in maintenance instead of failing the import we select a domain randomly
ovirt-engine-backend [Multiple Domains]: after selecting domains for import v...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
low Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
Dafna Ron
storage
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 12:08 EDT by Dafna Ron
Modified: 2016-02-10 11:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-04 09:35:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (16.62 KB, application/x-xz)
2012-05-31 12:08 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-05-31 12:08:23 EDT
Created attachment 588147 [details]
log

Description of problem:

when importing a vm, if after we select the target domains we put one of the domains in maintenance the import will not fail and we the image will be created on a randomly selected domain

Version-Release number of selected component (if applicable):

si4

How reproducible:

100%

Steps to Reproduce:
1. select a vm to import
2. select multiple domain targets to for disks
3. before pressing ok -> login from a different session and put one domain in maintenance -> press OK to start import of vm
 
Actual results:

we will succeed to import the template/vm but the disk will be created on a different domain

Expected results:

we should be blocked or at least warned by backend that the domain is inaccessible.

Additional info:
Comment 2 mkublin 2012-06-11 05:02:41 EDT
These is a gui bug - they usually tries to choose an active domain, if during importVm we have inactive domain the engine will fail on canDoAction
Movind to Daniel
Comment 3 Daniel Erez 2012-07-04 09:35:18 EDT
Tested, should work at si9.

Note You need to log in before you can comment on or make changes to this bug.